import 'package:flutter/services.dart';
import 'package:numkeyboard/screen/screen_api.dart';

class ScreenOrientationAndroidService extends ScreenOrientationService {
  MethodChannel _channel = const MethodChannel('flutter_screen_orientation');
  int _lastOrientation = -1;

  @override
  Future<void> init() async {
    _channel.setMethodCallHandler((call) async {
      if ("orientationCallback" == call.method && orientationCallback != null) {
        int orientation = int.parse(call.arguments);
        if (_lastOrientation == orientation) {
          return;
        }
        _lastOrientation = orientation;
        orientationCallback!(orientation);
      }
    });
    _channel.invokeMethod("init");
  }

  @override
  void setOrientationCallback(Function orientationCallback) {
    this._lastOrientation = -1;
    super.setOrientationCallback(orientationCallback);
  }
}
