import 'dart:io';

import 'package:numkeyboard/screen/screen_android.dart';
import 'package:numkeyboard/screen/screen_api.dart';
import 'package:numkeyboard/screen/screen_ios.dart';

class FlutterScreenOrientation {
  ScreenOrientationService? service;
  static FlutterScreenOrientation? self;
  static int portraitUp = 1;
  static int portraitDown = 2;
  static int landscapeLeft = 3;
  static int landscapeRight = 4;

  static FlutterScreenOrientation instance() {
    if (self == null) {
      self = FlutterScreenOrientation();
    }
    return self!;
  }

  Future<void> init() async {
    if (Platform.isIOS) {
      self?.service = ScreenOrientationIosService();
    } else if (Platform.isAndroid) {
      self?.service = ScreenOrientationAndroidService();
    }
  }

  void listenerOrientation(Function orientationCallback) async {
    self?.service?.setOrientationCallback(orientationCallback);
  }
}
